Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class SAXParser

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParser

public abstract class SAXParser
extends java.lang.Object

Implementation instances of the `SAXParser` abstract class contain an implementation of the `org.xml.sax.Parser` interface and enables content from a variety of sources to be parsed using the contained parser.
Instances of `SAXParser` are obtained from a `SAXParserFactory` by invoking its `newSAXParser()` method.
ATTENTION: THIS IMPLEMENTATION OF THE "JAVAX.XML.PARSER" CLASSES IS NOT THE OFFICIAL REFERENCE IMPLEMENTATION OF THE JAVA SPECIFICATION REQUEST 5 FOUND AT http://java.sun.com/aboutJava/communityprocess/jsr/jsr_005_xml.html
THIS IMPLEMENTATION IS CONFORMANT TO THE "JAVA API FOR XML PARSING" SPECIFICATION VERSION 1.1 PUBLIC REVIEW 1 BY JAMES DUNCAN DAVIDSON PUBLISHED BY SUN MICROSYSTEMS ON NOV. 2, 2000 AND FOUND AT http://java.sun.com/xml
THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Version:
  1.0 CVS $Revision: 1.4 $ $Date: 2000/11/16 00:57:43 $

Constructor Summary
`protected` | `SAXParser()`

Method Summary
`abstract Parser` | `getParser()` Returns the SAX parser that is encapsultated by the implementation of this class.
`abstract java.lang.Object` | `getProperty(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`abstract XMLReader` | `getXMLReader()` Returns the XMLReader that is encapsulated by the implementation of this class.
`abstract boolean` | `isNamespaceAware()` Indicates whether or not this parser is configured to understand namespaces.
`abstract boolean` | `isValidating()` Indicates whether or not this parser is configured to validate XML documents.
`void` | `parse(java.io.File f, DefaultHandler dh)` Parse the content of the file specified as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
`void` | `parse(java.io.File f, HandlerBase hb)` Parse the content of the file specified as XML using the specified `org.xml.sax.HandlerBase`.
`void` | `parse(InputSource is, DefaultHandler dh)` Parse the content given `org.xml.sax.InputSource` as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
`void` | `parse(InputSource is, HandlerBase hb)` Parse the content given `org.xml.sax.InputSource` as XML using the specified `org.xml.sax.HandlerBase`.
`void` | `parse(java.io.InputStream is, DefaultHandler dh)` Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
`void` | `parse(java.io.InputStream is, DefaultHandler dh, java.lang.String systemId)` Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
`void` | `parse(java.io.InputStream is, HandlerBase hb)` Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.HandlerBase`.
`void` | `parse(java.io.InputStream is, HandlerBase hb, java.lang.String systemId)` Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.HandlerBase`.
`void` | `parse(java.lang.String uri, DefaultHandler dh)` Parse the content described by the giving Uniform Resource Identifier (URI) as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
`void` | `parse(java.lang.String uri, HandlerBase hb)` Parse the content described by the giving Uniform Resource Identifier (URI) as XML using the specified `org.xml.sax.HandlerBase`.
`abstract void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParser

    protected SAXParser()

Method Detail

### parse

    public void parse(java.io.InputStream is,
                      HandlerBase hb)
               throws SAXException,
                      java.io.IOException

  Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.HandlerBase`.
  Parameters:
    `is` - InputStream containing the content to be parsed.
    `hb` - The SAX HandlerBase to use.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the given InputStream is null.
  See Also:
    `DocumentHandler`

### parse

    public void parse(java.io.InputStream is,
                      HandlerBase hb,
                      java.lang.String systemId)
               throws SAXException,
                      java.io.IOException

  Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.HandlerBase`.
  Parameters:
    `is` - InputStream containing the content to be parsed.
    `hb` - The SAX HandlerBase to use.
    `systemId` - The systemId which is needed for resolving relative URIs.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the given InputStream is null.
  See Also:
    `version of this method instead.`

### parse

    public void parse(java.io.InputStream is,
                      DefaultHandler dh)
               throws SAXException,
                      java.io.IOException

  Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
  Parameters:
    `is` - InputStream containing the content to be parsed.
    `hb` - The SAX HandlerBase to use.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the given InputStream is null.
  See Also:
    `DocumentHandler`

### parse

    public void parse(java.io.InputStream is,
                      DefaultHandler dh,
                      java.lang.String systemId)
               throws SAXException,
                      java.io.IOException

  Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
  Parameters:
    `is` - InputStream containing the content to be parsed.
    `hb` - The SAX HandlerBase to use.
    `systemId` - The systemId which is needed for resolving relative URIs.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the given InputStream is null.
  See Also:
    `version of this method instead.`

### parse

    public void parse(java.lang.String uri,
                      HandlerBase hb)
               throws SAXException,
                      java.io.IOException

  Parse the content described by the giving Uniform Resource Identifier (URI) as XML using the specified `org.xml.sax.HandlerBase`.
  Parameters:
    `uri` - The location of the content to be parsed.
    `hb` - The SAX HandlerBase to use.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the uri is null.
  See Also:
    `DocumentHandler`

### parse

    public void parse(java.lang.String uri,
                      DefaultHandler dh)
               throws SAXException,
                      java.io.IOException

  Parse the content described by the giving Uniform Resource Identifier (URI) as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
  Parameters:
    `uri` - The location of the content to be parsed.
    `hb` - The SAX HandlerBase to use.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the uri is null.
  See Also:
    `DocumentHandler`

### parse

    public void parse(java.io.File f,
                      HandlerBase hb)
               throws SAXException,
                      java.io.IOException

  Parse the content of the file specified as XML using the specified `org.xml.sax.HandlerBase`.
  Parameters:
    `f` - The file containing the XML to parse
    `hb` - The SAX HandlerBase to use.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the File object is null.
  See Also:
    `DocumentHandler`

### parse

    public void parse(java.io.File f,
                      DefaultHandler dh)
               throws SAXException,
                      java.io.IOException

  Parse the content of the file specified as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
  Parameters:
    `f` - The file containing the XML to parse
    `dh` - The SAX Handler to use.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the File object is null.
  See Also:
    `DocumentHandler`

### parse

    public void parse(InputSource is,
                      HandlerBase hb)
               throws SAXException,
                      java.io.IOException

  Parse the content given `org.xml.sax.InputSource` as XML using the specified `org.xml.sax.HandlerBase`.
  Parameters:
    `is` - The InputSource containing the content to be parsed.
    `hb` - The SAX HandlerBase to use.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the InputSource is null.
  See Also:
    `DocumentHandler`

### parse

    public void parse(InputSource is,
                      DefaultHandler dh)
               throws SAXException,
                      java.io.IOException

  Parse the content given `org.xml.sax.InputSource` as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
  Parameters:
    `is` - The InputSource containing the content to be parsed.
    `dh` - The SAX DefaultHandler to use.
  Throws:
    java.io.IOException - If any IO errors occur.
    java.lang.IllegalArgumentException - If the InputSource is null.
  See Also:
    `DocumentHandler`

### getParser

    public abstract Parser getParser()
                              throws SAXException

  Returns the SAX parser that is encapsultated by the implementation of this class.

### getXMLReader

    public abstract XMLReader getXMLReader()
                                    throws SAXException

  Returns the XMLReader that is encapsulated by the implementation of this class.

### isNamespaceAware

    public abstract boolean isNamespaceAware()

  Indicates whether or not this parser is configured to understand namespaces.

### isValidating

    public abstract boolean isValidating()

  Indicates whether or not this parser is configured to validate XML documents.

### setProperty

    public abstract void setProperty(java.lang.String name,
                                     java.lang.Object value)
                              throws SAXNotRecognizedException,
                                     SAXNotSupportedException

  Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.
  Parameters:
    `name` - The name of the property to be set.
    `value` - The value of the property to be set.
  Throws:
    SAXNotRecognizedException - When the underlying XMLReader does not recognize the property name.
    SAXNotSupportedException - When the underlying XMLReader recognizes the property name but doesn't support the property.
  See Also:
    `XMLReader.setProperty(java.lang.String, java.lang.Object)`

### getProperty

    public abstract java.lang.Object getProperty(java.lang.String name)
                                          throws SAXNotRecognizedException,
                                                 SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
  Parameters:
    `name` - The name of the property to be retrieved.
  Returns:
    Value of the requested property.
  Throws:
    SAXNotRecognizedException - When the underlying XMLReader does not recognize the property name.
    SAXNotSupportedException - When the underlying XMLReader recognizes the property name but doesn't support the property.
  See Also:
    `XMLReader.getProperty(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD